[Nanocubes-discuss] Cannot build on ubuntu 14.04

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

[Nanocubes-discuss] Cannot build on ubuntu 14.04

Vjeran Marcinko
Hi,

I get following error when executing
./bootstrap
when trying to build v3.1 on my ubuntu 14.04:
# ./bootstrap
aclocal: installing 'm4/libtool.m4' from '/usr/share/aclocal/libtool.m4'
aclocal: installing 'm4/ltoptions.m4' from '/usr/share/aclocal/ltoptions.m4'
aclocal: installing 'm4/ltsugar.m4' from '/usr/share/aclocal/ltsugar.m4'
aclocal: installing 'm4/ltversion.m4' from '/usr/share/aclocal/ltversion.m4'
aclocal: installing 'm4/lt~obsolete.m4' from '/usr/share/aclocal/lt~obsolete.m4'
libtoolize: putting auxiliary files in AC_CONFIG_AUX_DIR, `aux-scripts'.
libtoolize: copying file `aux-scripts/config.guess'
libtoolize: copying file `aux-scripts/config.sub'
libtoolize: copying file `aux-scripts/install-sh'
libtoolize: copying file `aux-scripts/ltmain.sh'
configure.ac:30: error: possibly undefined macro: LT_LIB_DLLOAD
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.

Any ideas why is this happening?

Regards,
Vjeran

_______________________________________________
Nanocubes-discuss mailing list
[hidden email]
http://mailman.nanocubes.net/mailman/listinfo/nanocubes-discuss_mailman.nanocubes.net
Reply | Threaded
Open this post in threaded view
|

Re: [Nanocubes-discuss] Cannot build on ubuntu 14.04

salivian
Please make sure you have installed:

sudo apt-get install build-essential automake libtool

the libtool package should provide LT_LIB_DLLOAD


Horace



On Thu, Dec 11, 2014 at 2:37 AM, Vjeran Marcinko <[hidden email]> wrote:
Hi,

I get following error when executing
./bootstrap
when trying to build v3.1 on my ubuntu 14.04:
# ./bootstrap
aclocal: installing 'm4/libtool.m4' from '/usr/share/aclocal/libtool.m4'
aclocal: installing 'm4/ltoptions.m4' from '/usr/share/aclocal/ltoptions.m4'
aclocal: installing 'm4/ltsugar.m4' from '/usr/share/aclocal/ltsugar.m4'
aclocal: installing 'm4/ltversion.m4' from '/usr/share/aclocal/ltversion.m4'
aclocal: installing 'm4/lt~obsolete.m4' from '/usr/share/aclocal/lt~obsolete.m4'
libtoolize: putting auxiliary files in AC_CONFIG_AUX_DIR, `aux-scripts'.
libtoolize: copying file `aux-scripts/config.guess'
libtoolize: copying file `aux-scripts/config.sub'
libtoolize: copying file `aux-scripts/install-sh'
libtoolize: copying file `aux-scripts/ltmain.sh'
configure.ac:30: error: possibly undefined macro: LT_LIB_DLLOAD
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.

Any ideas why is this happening?

Regards,
Vjeran

_______________________________________________
Nanocubes-discuss mailing list
[hidden email]
http://mailman.nanocubes.net/mailman/listinfo/nanocubes-discuss_mailman.nanocubes.net


_______________________________________________
Nanocubes-discuss mailing list
[hidden email]
http://mailman.nanocubes.net/mailman/listinfo/nanocubes-discuss_mailman.nanocubes.net